using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MyGui : MonoBehaviour
{
    public SteeringLineRobot robot;
    public GameObject shadowbox;


    private void OnGUI()
    {

        if (GUI.Button(new Rect(10, 20, 150, 20), "Toggle Holding Brake"))
        {
            if (robot.handBrake == true)
            {
                robot.handBrake = false;
            }
            else
            {
                robot.handBrake = true;
            }
        }

        if (GUI.Button(new Rect(10, 50, 150, 20), "Toggle Shade"))
        {
            if (shadowbox.activeSelf == false)
            {
                shadowbox.SetActive(true);
            }
            else
            {
                shadowbox.SetActive(false);
            }
        }

    }
}
